namespace MinicsConsole.Hubs.UI;

public partial class UIHub
{
    public Task QueryHardwares()
    {
        return hardwareOperator.QueryHardwares();
    }

    public void FullyReset()
    {
        hardwareOperator.FullyReset();
    }

    public bool SendSetValue(ChannelData channelData)
    {
        return hardwareOperator.SendSetValue(channelData);
    }

    public bool ReconnectMini8(byte mini8Index)
    {
        return hardwareOperator.ReconnectMini8(mini8Index);
    }

    public bool EnableChannel(byte mini8Index, byte channelIndex, Inhibit inhibit)
    {
        return hardwareOperator.EnableChannel(mini8Index, channelIndex, inhibit);
    }

    public bool SwitchChannelMode(byte mini8Index, byte channelIndex, ChannelMode channelMode)
    {
        return hardwareOperator.SwitchChannelMode(mini8Index, channelIndex, channelMode);
    }


    public bool SelectPID(byte mini8Index, byte channelIndex, ActiveTuneSet activeTuneSet)
    {
        return hardwareOperator.SelectPID(mini8Index, channelIndex, activeTuneSet);
    }

    public bool EnableAT(byte mini8Index, byte channelIndex, bool isEnable)
    {
        return hardwareOperator.EnableAT(mini8Index, channelIndex, isEnable);
    }


    public Task EnableDisableDevice(byte mini8Index, bool isEnable)
    {
        return hardwareOperator.EnableDisableDevice(mini8Index, isEnable);
    }
}